//RADIMO PRIMER DINAMICKE ALOKACIJE SA NIZOM NISKI
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

void greska(){
	printf("-1");
	exit(EXIT_FAILURE);
}

int poredi(const void *a, const void *b){
	char *as = *((char**)a);
	char *bs = *((char**)b);
	return strcmp(as, bs);
}

int main(){
	char **niz;
	FILE *f = fopen("gradovi.txt", "r");
	if(f == NULL)
		greska();
	
	//radicemo +1 varijantu alokacije, za domaci uraditi *2
	
	//prazan niz, 0 elemenata
	niz = NULL;
	int n = 0;
	
	//predpostavicemo da je max broj karaktera u nazivu grada 20
	char tmp[21];
	while(fscanf(f, "%s", tmp) == 1){
		//uvecati broj elemenata
		n++;
		niz = realloc(niz, n * sizeof(char*));
		if(niz == NULL)
			greska();
		
		niz[n-1] = malloc(strlen(tmp) + 1);
		if(niz[n-1] == NULL)
			greska();
		
		strcpy(niz[n-1], tmp);
	}
	fclose(f);
	int i;
	
	qsort(niz, n, sizeof(char*), poredi);
	
	for(i = 0; i < n; i++)
		printf("%s\n", niz[i]);
	
	for(i = 0; i < n; i++){
		free(niz[i]);
	}
	free(niz);
}